> ## Documentation Index
> Fetch the complete documentation index at: https://docs.16tms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Round

> Fetch details of a specific round by its ID.



## OpenAPI

````yaml /api-reference/rounds/openapi.json get /rounds/{roundId}
openapi: 3.0.0
info:
  title: Rounds
  version: 1.0.0
  description: API endpoints for accessing rounds
servers:
  - url: https://api.16tms.com/api/v1
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /rounds/{roundId}:
    get:
      summary: Get Round
      description: Fetch details of a specific round by its ID.
      operationId: getRound
      parameters:
        - name: roundId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The unique identifier of the round.
      responses:
        '200':
          description: Tournament round fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRoundResponse'
              example:
                success: true
                message: Tournament round fetched successfully
                data:
                  id: 44accbab-48f7-4fe0-8085-df45903863a8
                  tournamentId: 788f9b9d-1aec-4dec-b2fc-d585a6ef149f
                  tournamentName: Fortnite 2026
                  roundName: Round 1 (Normal)
                  description: ''
                  teamCount: 4
                  matchesPerGroup: 2
                  startDate: '2026-02-10T07:49:51.364271Z'
                  endDate: '2026-02-11T07:49:51.364271Z'
                  roundType: 1
                  status: 4
                  numberOfMatches: 4
                meta:
                  traceId: 00-ecf9d778c620a1b9162cfcf68e334e22-cab3c6a593170e4c-00
                  elapsedMs: 4.02
                  serverTimestamp: '2026-02-17T12:25:20.4511293Z'
components:
  schemas:
    GetRoundResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          $ref: '#/components/schemas/RoundDetail'
        meta:
          $ref: '#/components/schemas/Meta'
    RoundDetail:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tournamentId:
          type: string
          format: uuid
        tournamentName:
          type: string
        roundName:
          type: string
        description:
          type: string
          nullable: true
        teamCount:
          type: integer
        matchesPerGroup:
          type: integer
        startDate:
          type: string
          format: date-time
        endDate:
          type: string
          format: date-time
        roundType:
          type: integer
        status:
          type: integer
        numberOfMatches:
          type: integer
    Meta:
      type: object
      properties:
        traceId:
          type: string
          example: 00-f125448ab05644fa80f36b22f1d71ac5-0124b07dc253ea94-00
        elapsedMs:
          type: number
          example: 70.26
        serverTimestamp:
          type: string
          format: date-time
          example: '2026-02-12T11:21:26.4669586Z'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key for authentication.

````